local createCompositiondust = nil
local createCompositiondust_sample_comp = nil
local createCompositionfon_anim = nil
local createCompositionrays_2 = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Minigames/09_Blood/Animations/"
---------------------------------------------------------------------------------------
function GetMinigame09BloodAnimationsLoader(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionfon_anim,		                'fon_anim',		        0,0, 71, 512,384, true),
		},
		{
			function (element, textureName)
				if textureName == "particle_blured.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end			
				if textureName == "bubbles_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,116,102)
					anim:SetSpeed(12)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "glass12_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,67,68)
					anim:SetSpeed(8)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "yellow_rays_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,68,56)
					anim:SetSpeed(12)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositiondust = function()
	local compositiondust = CreateCompositionSequence()
	local compositionDuration = 8
	compositiondust:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_1")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(368, 308)
 
	element:SetAngle(0.78620153013896)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_2")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(314, 340)
 
	element:SetAngle(0.72496333108826)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_3")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(348, 224)
 
	element:SetAngle(0.83275034550992)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_4")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(348, 393)
 
	element:SetAngle(0.40822655162325)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_5")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(404, 347)
 
	element:SetAngle(0.40822655162325)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_6")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(478, 376)
 
	element:SetAngle(0.06383438518023)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_7")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_8
	element = createCompositiondust_sample_comp()
	element:SetName("Layer_8")
	compositiondust:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositiondust)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositiondust:Play()
 
	return compositiondust
end
 
createCompositiondust_sample_comp = function()
	local compositiondust_sample_comp = CreateCompositionSequence()
	local compositionDuration = 8
	compositiondust_sample_comp:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_1")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.17)
	element:SetScaleY(0.17)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0.00000986426768, 25.75)
	effector:SetKey(_TRACK_Y, 0.00000986426768, -88.25)
	effector:SetKey(_TRACK_X, 1.00000986426768, 65.4878238469693)
	effector:SetKey(_TRACK_Y, 1.00000986426768, -7.79101888579588)
	effector:SetKey(_TRACK_X, 2.00000986426768, 105.935808149063)
	effector:SetKey(_TRACK_Y, 2.00000986426768, 72.397930249945)
	effector:SetKey(_TRACK_X, 3.00000986426768, 158.840887248985)
	effector:SetKey(_TRACK_Y, 3.00000986426768, 144.751706990983)
	effector:SetKey(_TRACK_X, 4.00000986426768, 233.00017026817)
	effector:SetKey(_TRACK_Y, 4.00000986426768, 193.882092873623)
	effector:SetKey(_TRACK_X, 5.00000986426768, 318.676546986235)
	effector:SetKey(_TRACK_Y, 5.00000986426768, 223.124504350815)
	effector:SetKey(_TRACK_X, 6.00000986426768, 400.514705461259)
	effector:SetKey(_TRACK_Y, 6.00000986426768, 261.546407114441)
	effector:SetKey(_TRACK_X, 7.00000986426768, 466.631303059731)
	effector:SetKey(_TRACK_Y, 7.00000986426768, 322.31237401627)
	effector:SetKey(_TRACK_X, 7.95834319760101, 491.733575911041)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 404.180098299459)
	effector:SetKey(_TRACK_O, 2.04167653093434, 0)
	effector:SetKey(_TRACK_O, 3.29167653093434, 0.45)
	effector:SetKey(_TRACK_O, 5.41667653093434, 0.45)
	effector:SetKey(_TRACK_O, 6.83334319760101, 0)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_2")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.17)
	element:SetScaleY(0.17)
 
	effector = element:GetEffector()
	effector:SetLifeTime(3.43684895833333, 8)
	effector:SetKey(_TRACK_X, 4.41667653093434, 103.904654261296)
	effector:SetKey(_TRACK_Y, 4.41667653093434, 155.528977173137)
	effector:SetKey(_TRACK_X, 5.41667653093434, 138.372126424555)
	effector:SetKey(_TRACK_Y, 5.41667653093434, 238.198667269025)
	effector:SetKey(_TRACK_X, 6.41667653093434, 178.909433673541)
	effector:SetKey(_TRACK_Y, 6.41667653093434, 318.020937249229)
	effector:SetKey(_TRACK_X, 7.41667653093434, 232.000169426164)
	effector:SetKey(_TRACK_Y, 7.41667653093434, 389.882093391797)
	effector:SetKey(_TRACK_X, 7.95834319760101, 270.010484535785)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 424.142670812227)
	effector:SetKey(_TRACK_O, 3.91667653093434, 0)
	effector:SetKey(_TRACK_O, 5.16667653093434, 0.45)
	effector:SetKey(_TRACK_O, 7.29167653093434, 0.45)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0.15)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_3")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.17)
	element:SetScaleY(0.17)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.56184895833333)
	effector:SetKey(_TRACK_X, 0.01010101010101, 270.010484601653)
	effector:SetKey(_TRACK_Y, 0.01010101010101, 424.142671049547)
	effector:SetKey(_TRACK_X, 1.01010101010101, 346.347069070979)
	effector:SetKey(_TRACK_Y, 1.01010101010101, 479.776381029521)
	effector:SetKey(_TRACK_X, 2.01010101010101, 428.274482132361)
	effector:SetKey(_TRACK_Y, 2.01010101010101, 526.773498037417)
	effector:SetKey(_TRACK_X, 3.01010101010101, 516.664056805329)
	effector:SetKey(_TRACK_Y, 3.01010101010101, 559.483540680068)
	effector:SetKey(_TRACK_X, 3.42676767676768, 555.733575911041)
	effector:SetKey(_TRACK_Y, 3.42676767676768, 560.180098299459)
	effector:SetKey(_TRACK_O, 0.01010101010101, 0.15)
	effector:SetKey(_TRACK_O, 0.34343434343434, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_4")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.31)
	element:SetScaleY(0.31)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.728515625, 8)
	effector:SetKey(_TRACK_X, 1.70834319760101, 117.691552361847)
	effector:SetKey(_TRACK_Y, 1.70834319760101, 178.845803407552)
	effector:SetKey(_TRACK_X, 2.70834319760101, 154.921823460204)
	effector:SetKey(_TRACK_Y, 2.70834319760101, 276.838797547442)
	effector:SetKey(_TRACK_X, 3.70834319760101, 196.083944938814)
	effector:SetKey(_TRACK_Y, 3.70834319760101, 373.233863665542)
	effector:SetKey(_TRACK_X, 4.70834319760101, 245.000170670159)
	effector:SetKey(_TRACK_Y, 4.70834319760101, 465.882093524705)
	effector:SetKey(_TRACK_X, 5.70834319760101, 309.063496160579)
	effector:SetKey(_TRACK_Y, 5.70834319760101, 555.074553657191)
	effector:SetKey(_TRACK_X, 6.70834319760101, 379.930424072586)
	effector:SetKey(_TRACK_Y, 6.70834319760101, 639.025655576873)
	effector:SetKey(_TRACK_X, 7.70834319760101, 453.820985154426)
	effector:SetKey(_TRACK_Y, 7.70834319760101, 720.351074296977)
	effector:SetKey(_TRACK_X, 7.95834319760101, 472.491198882182)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 740.494750253531)
	effector:SetKey(_TRACK_O, 2.37500986426768, 0)
	effector:SetKey(_TRACK_O, 3.54167653093434, 0.45)
	effector:SetKey(_TRACK_O, 5.83334319760101, 0.45)
	effector:SetKey(_TRACK_O, 6.83334319760101, 0)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_5")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.38)
	element:SetScaleY(0.38)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.02018229166667, 8)
	effector:SetKey(_TRACK_X, 5.00000986426768, 202.875437991765)
	effector:SetKey(_TRACK_Y, 5.00000986426768, 181.1972101477)
	effector:SetKey(_TRACK_X, 6.00000986426768, 228.354427508779)
	effector:SetKey(_TRACK_Y, 6.00000986426768, 267.564843881507)
	effector:SetKey(_TRACK_X, 7.00000986426768, 260.849495894085)
	effector:SetKey(_TRACK_Y, 7.00000986426768, 351.497310837038)
	effector:SetKey(_TRACK_X, 7.95834319760101, 305.570390648653)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 425.029979577832)
	effector:SetKey(_TRACK_O, 5.00000986426768, 0)
	effector:SetKey(_TRACK_O, 6.29167653093434, 0.45)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0.45)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_6")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.38)
	element:SetScaleY(0.38)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4.06184895833333)
	effector:SetKey(_TRACK_X, 0.01010101010101, 305.570390648653)
	effector:SetKey(_TRACK_Y, 0.01010101010101, 425.029979577832)
	effector:SetKey(_TRACK_X, 1.01010101010101, 387.51677212063)
	effector:SetKey(_TRACK_Y, 1.01010101010101, 473.975596890548)
	effector:SetKey(_TRACK_X, 2.01010101010101, 469.579590640769)
	effector:SetKey(_TRACK_Y, 2.01010101010101, 522.725922137842)
	effector:SetKey(_TRACK_X, 3.01010101010101, 551.646233552037)
	effector:SetKey(_TRACK_Y, 3.01010101010101, 571.441819597336)
	effector:SetKey(_TRACK_X, 4.01010101010101, 633.733575911041)
	effector:SetKey(_TRACK_Y, 4.01010101010101, 620.180098299459)
	effector:SetKey(_TRACK_O, 0.01010101010101, 0.45)
	effector:SetKey(_TRACK_O, 0.84343434343434, 0.45)
	effector:SetKey(_TRACK_O, 2.09343434343434, 0)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_7")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.27)
	element:SetScaleY(0.27)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.81184895833333, 8)
	effector:SetKey(_TRACK_X, 2.83334319760101, 79.2120731036225)
	effector:SetKey(_TRACK_Y, 2.83334319760101, 51.9990991817724)
	effector:SetKey(_TRACK_X, 3.79167653093434, 105.188456987591)
	effector:SetKey(_TRACK_Y, 3.79167653093434, 106.899941873472)
	effector:SetKey(_TRACK_X, 4.79167653093434, 138.625065324172)
	effector:SetKey(_TRACK_Y, 4.79167653093434, 160.697897263266)
	effector:SetKey(_TRACK_X, 5.79167653093434, 181.572769843664)
	effector:SetKey(_TRACK_Y, 5.79167653093434, 207.112190172712)
	effector:SetKey(_TRACK_X, 6.79167653093434, 237.000170926973)
	effector:SetKey(_TRACK_Y, 6.79167653093434, 236.882092759972)
	effector:SetKey(_TRACK_X, 7.79167653093434, 334.458890354131)
	effector:SetKey(_TRACK_Y, 7.79167653093434, 272.690996206916)
	effector:SetKey(_TRACK_X, 7.95834319760101, 349.938123092217)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 280.461932049825)
	effector:SetKey(_TRACK_O, 4.37500986426768, 0)
	effector:SetKey(_TRACK_O, 5.95834319760101, 0.45)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0.45)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_8")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.27)
	element:SetScaleY(0.27)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4.06184895833333)
	effector:SetKey(_TRACK_X, 0.01010101010101, 349.938123092217)
	effector:SetKey(_TRACK_Y, 0.01010101010101, 280.461932049825)
	effector:SetKey(_TRACK_X, 1.01010101010101, 434.910049599723)
	effector:SetKey(_TRACK_Y, 1.01010101010101, 339.829402300255)
	effector:SetKey(_TRACK_X, 2.01010101010101, 494.796107078168)
	effector:SetKey(_TRACK_Y, 2.01010101010101, 423.868027050311)
	effector:SetKey(_TRACK_X, 2.80176767676768, 509.733575911041)
	effector:SetKey(_TRACK_Y, 2.80176767676768, 504.180098299459)
	effector:SetKey(_TRACK_O, 0.01010101010101, 0.45)
	effector:SetKey(_TRACK_O, 1.46843434343434, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."particle_blured.png")
	element:SetName("Layer_9")
	compositiondust_sample_comp:AddElement(element)
	element:SetHotSpot(15.3043463833991, 18.0000011085763)
	element:SetParentElement(compositiondust_sample_comp)
	element:SetScaleX(0.27)
	element:SetScaleY(0.27)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0.00000986426768, 93.75)
	effector:SetKey(_TRACK_Y, 0.00000986426768, -63.25)
	effector:SetKey(_TRACK_X, 1.00000986426768, 135.394796648889)
	effector:SetKey(_TRACK_Y, 1.00000986426768, 17.2243966402286)
	effector:SetKey(_TRACK_X, 2.00000986426768, 177.220909210981)
	effector:SetKey(_TRACK_Y, 2.00000986426768, 97.6089393066216)
	effector:SetKey(_TRACK_X, 3.00000986426768, 221.809320965042)
	effector:SetKey(_TRACK_Y, 3.00000986426768, 176.486399073703)
	effector:SetKey(_TRACK_X, 4.00000986426768, 272.000169446215)
	effector:SetKey(_TRACK_Y, 4.00000986426768, 251.882093620564)
	effector:SetKey(_TRACK_X, 5.00000986426768, 330.743550089588)
	effector:SetKey(_TRACK_Y, 5.00000986426768, 319.734928132729)
	effector:SetKey(_TRACK_X, 6.00000986426768, 394.443625804063)
	effector:SetKey(_TRACK_Y, 6.00000986426768, 383.006483993384)
	effector:SetKey(_TRACK_X, 7.00000986426768, 460.408482006668)
	effector:SetKey(_TRACK_Y, 7.00000986426768, 443.914488392582)
	effector:SetKey(_TRACK_X, 7.95834319760101, 523.733575911041)
	effector:SetKey(_TRACK_Y, 7.95834319760101, 502.180098299459)
	effector:SetKey(_TRACK_O, 2.50000986426768, 0)
	effector:SetKey(_TRACK_O, 4.08334319760101, 0.45)
	effector:SetKey(_TRACK_O, 6.12500986426768, 0.45)
	effector:SetKey(_TRACK_O, 7.54167653093434, 0)
	effector:SetKey(_TRACK_O, 7.95834319760101, 0)
	effector:Play()
 
	compositiondust_sample_comp:Play()
 
	return compositiondust_sample_comp
end
 
createCompositionfon_anim = function()
	local compositionfon_anim = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon_anim:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionrays_2()
	element:SetName("Layer_1")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(512, 384)
 
	element:SetScaleX(-1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositiondust()
	element:SetName("Layer_2")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(184, 368)
 
	element:SetAngle(0.55250913010144)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositiondust()
	element:SetName("Layer_3")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(550, 276)
 
	element:SetAngle(0.24652314835104)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."glass12_[].png")
	element:SetName("Layer_4")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(33.5, 34)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(759, 308)
 
	element:SetScaleX(5.4)
	element:SetScaleY(5.4)
	element:SetAngle(-1.89992748307612)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.875, 6.375)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."glass12_[].png")
	element:SetName("Layer_5")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(33.5, 34)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(268, 312)
 
	element:SetScaleX(5.4)
	element:SetScaleY(5.4)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.04166666666667, 2.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."bubbles_[].png")
	element:SetName("Layer_6")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(58, 51)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(159, 65.5)
 
	element:SetScaleX(0.5)
	element:SetScaleY(0.54901960784314)
	element:SetOpacity(0.3)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."bubbles_[].png")
	element:SetName("Layer_7")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(58, 51)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(159, 65.5)
 
	element:SetScaleX(0.5)
	element:SetScaleY(0.54901960784314)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."linza.png")
	element:SetName("Layer_8")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(194, 194)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(760, 311)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."linza.png")
	element:SetName("Layer_9")
	compositionfon_anim:AddElement(element)
	element:SetHotSpot(194, 194)
	element:SetParentElement(compositionfon_anim)
	element:SetXY(263, 309)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionfon_anim:Play()
 
	return compositionfon_anim
end
 
createCompositionrays_2 = function()
	local compositionrays_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionrays_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."yellow_rays_[].png")
	element:SetName("Layer_1")
	compositionrays_2:AddElement(element)
	element:SetHotSpot(66.0278534733145, 28.9303820866604)
	element:SetParentElement(compositionrays_2)
	element:SetXY(1104.00000000003, 50.0000000000035)
 
	element:SetScaleX(16.8703603937963)
	element:SetScaleY(-8.56900128284994)
	element:SetAngle(-0.88411569998898)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."yellow_rays_[].png")
	element:SetName("Layer_2")
	compositionrays_2:AddElement(element)
	element:SetHotSpot(66.0278534733145, 28.9303820866604)
	element:SetParentElement(compositionrays_2)
	element:SetXY(986.000000000026, -21.9999999999965)
 
	element:SetScaleX(16.8703603937963)
	element:SetScaleY(15.7156168085082)
	element:SetAngle(-0.88411569998898)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionrays_2:Play()
 
	return compositionrays_2
end
 
